Rygel.WritableContainer.add_reference – librygel-server Reference Manual

# add_reference

## Description:

public virtual async `string` add_reference (MediaObject object, `Cancellable`? cancellable) throws `Error`

Add a reference to an object.

## Parameters:

object | The source object to add a reference to.
cancellable | optional cancellable for this operation

## Returns:

the id of the newly created reference